Skip to main content
GET
/
analytics
/
dashboards
/
product-sales-breakdown
/
revenue-breakdown-grouped
Get Product Sales Grouped
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/product-sales-breakdown/revenue-breakdown-grouped \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/analytics/dashboards/product-sales-breakdown/revenue-breakdown-grouped"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/analytics/dashboards/product-sales-breakdown/revenue-breakdown-grouped', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "groups": [
    {
      "key": "<string>",
      "label": "<string>",
      "count": 123,
      "summary": {
        "totalItems": 0,
        "totalQuantity": 0,
        "totalGrossAmount": 0,
        "totalItemDiscountAmount": 0,
        "totalChargeDiscountAmount": 0,
        "totalTaxAmount": 0,
        "totalNetAmount": 0,
        "totalCost": 0,
        "totalNetProfit": 0,
        "uniquePatients": 0,
        "uniqueProviders": 0,
        "uniqueLocations": 0
      },
      "rows": [
        {
          "createdDate": "2023-11-07T05:31:56Z",
          "locationId": "<string>",
          "providerId": "<string>",
          "patient": {
            "id": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "phoneNumber": "<string>",
            "email": "<string>",
            "type": "PATIENT",
            "locationId": "<string>",
            "dateOfBirth": "2023-12-25",
            "onSchedulingBlacklist": true
          },
          "itemId": "<string>",
          "itemName": "<string>",
          "itemType": "<string>",
          "itemCategory": "<string>",
          "itemBrand": "<string>",
          "quantity": 123,
          "price": 123,
          "grossAmount": 123,
          "itemDiscountAmount": 123,
          "chargeDiscountAmount": 123,
          "taxAmount": 123,
          "netAmount": 123,
          "cost": 123,
          "paymentMediums": [
            "<string>"
          ],
          "chargeId": "<string>",
          "chargeStatus": "<string>",
          "comment": "<string>"
        }
      ]
    }
  ],
  "grandTotals": {
    "totalItems": 0,
    "totalQuantity": 0,
    "totalGrossAmount": 0,
    "totalItemDiscountAmount": 0,
    "totalChargeDiscountAmount": 0,
    "totalTaxAmount": 0,
    "totalNetAmount": 0,
    "totalCost": 0,
    "totalNetProfit": 0,
    "uniquePatients": 0,
    "uniqueProviders": 0,
    "uniqueLocations": 0
  },
  "totalCount": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

group_by
enum<string>
default:none
Available options:
none,
location,
provider,
item_category,
payment_medium,
created_date
timezone
string
required

Timezone for date grouping (e.g., 'America/New_York', 'UTC')

page
integer | null

Per-group pagination page number

per_page
integer | null

Per-group pagination page size

sort_by
string
default:created_date
sort_direction
enum<string>
default:desc
Available options:
asc,
desc
start_date
string | null
end_date
string | null
location_ids
string[] | null
location_names
string[] | null
provider_ids
string[] | null
provider_names
string[] | null
patient_ids
string[] | null
patient_names
string[] | null
item_categories
string[] | null
item_types
string[] | null
item_names
string[] | null
payment_mediums
string[] | null
charge_statuses
string[] | null
min_net_amount
number | null
max_net_amount
number | null
comment
string | null

Response

Successful Response

Complete response from the product sales grouped endpoint.

This response structure:

  1. Returns all groups with their summaries calculated from ALL rows
  2. Supports per-group pagination (rows are paginated, but summary uses all data)
  3. Includes grand totals across all groups
groups
ProductSalesGroup · object[]
required
grandTotals
ProductSalesSummary · object
required

Summary statistics for product sales (per-group or grand totals).

totalCount
integer
required